Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 132658 - cursor should not switch from pointer to cross when moved over a node (revert 92898)
cursor should not switch from pointer to cross when moved over a node (revert...
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: General Diagram
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Viktor Lapitski
issues@uml
61fixes1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 19:18 UTC by George Vasick
Modified: 2008-06-04 08:39 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Vasick 2008-04-11 19:18:42 UTC
The cursor should not switch from a pointer to a cross as the user moves it over nodes o a diagram.  It selecting
individual items, like operations or attributes, confusing.

Comments from Sheryl:

Setting move cursor on the hit graph object is the default behavior of TomSawyer library, TSESelectTool, which is used
as the default tool for graph window. In 5.0 we had logic to set cursor back to default 'select' cursor when mouse is
moved over the object. The drawback is that user can feel the flickering effect of setting cursor back and forth. I made
changes (based on the 92898 filed by external users) to show the move cursor. The modified file is
ADDrawingAreaSelectState.java

We want to revert the fix for issue 92898 and restore the previous behavior.
Comment 1 Viktor Lapitski 2008-04-19 05:44:44 UTC
Reverted the fix of IZ 92898:

author	lvv@netbeans.org
	Fri Apr 18 21:41:11 2008 -0700 (2 minutes ago)
changeset 78684	9ef5cbc4f644
parent 78683	0ade0b1744e4
Fix for 132658 cursor should not switch from pointer to cross when moved over a node (revert 92898) 
Comment 2 Joanne Lau 2008-04-22 18:34:49 UTC
Fix verified in trunk build 20080421151521
Comment 3 jinb 2008-05-03 14:51:03 UTC
fix backported into release61_fixes branch
changeset: 77527: ab482678ae11


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo